#pragma once


#include "TreeOptionsCtrl.h"


class CAppDlg : public CDialog
{
public:
  CAppDlg(CWnd* pParent = NULL);

  enum { IDD = IDD_APP_DIALOG };
  CTreeOptionsCtrl m_ctrlTreeOptions;
  BOOL m_bAlt1;
  BOOL m_bAlt2;
  BOOL m_bSecurity;
  BOOL m_bSSL2;
  BOOL m_bSSL3;
  int m_nSearchIndex;
  CString m_sCombo;
  CString m_sEdit;
  CString m_sSpinEdit;
  COLORREF m_Color;
  LOGFONT m_Font;
  CString m_sFontNameFace;
  BOOL m_bBooleanValue;
  BOOL m_bCB2;
  SYSTEMTIME m_Date;
  SYSTEMTIME m_Time;
  DWORD m_dwIPAddress;
  CString m_sShoeItem;
  CString m_sShoeItem2;

protected:
  virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

  HICON     m_hIcon;
  HTREEITEM m_hAccessibility;
  HTREEITEM m_hAlt1;
  HTREEITEM m_hAlt2;
  HTREEITEM m_hSearch;
  HTREEITEM m_hRadio1;
  HTREEITEM m_hRadio2;
  HTREEITEM m_hRadio3;
  HTREEITEM m_hRadio4;
  HTREEITEM m_hComboItem;
  HTREEITEM m_hEditItem;
  HTREEITEM m_hSecurity;
  HTREEITEM m_hSSL2;
  HTREEITEM m_hSSL3;
  HTREEITEM m_hSpinCtrlItem;
  HTREEITEM m_hBrowseForFileItem;
  HTREEITEM m_hBrowseForFolderItem;
  HTREEITEM m_hBrowseForColorItem;
  HTREEITEM m_hBrowseForFont;
  HTREEITEM m_hMisc;
  HTREEITEM m_hFontNameComboItem;
  HTREEITEM m_hBooleanComboItem;
  HTREEITEM m_hCB2;
  HTREEITEM m_hDateItem;
  HTREEITEM m_hTimeItem;
  HTREEITEM m_hIPAddressItem;
  HTREEITEM m_hShoeItem;
  HTREEITEM m_hShoeItem2;
  HTREEITEM m_hMultiLineEdit;
  CImageList m_ilTree;

  virtual BOOL OnInitDialog();
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnDisableCheck();
  afx_msg void OnDisableGroup();
  afx_msg void OnDisableRadio();
  afx_msg void OnEnableCheck();
  afx_msg void OnEnableGroup();
  afx_msg void OnEnableRadio();
  afx_msg void OnDisableGroup2();
  afx_msg void OnEnableGroup2();
  afx_msg void OnDisableSecurity();
  afx_msg void OnEnableSecurity();
  afx_msg void OnDisableThemes();
  afx_msg void OnEnableThemes();
  afx_msg void ToggleChildCheckBox();

  DECLARE_MESSAGE_MAP()
};

