#pragma once


#include "Resource.h"


class COpaqueShoeButton : public CTreeOptionsBrowseButton
{
public:
//Methods
  virtual void BrowseForOpaque();

protected:
  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(COpaqueShoeButton)
};


class CShoeDialog : public CDialog
{
public:
//constructors / Destructors
  CShoeDialog(CWnd* pParent = NULL);   // standard constructor

//Methods
  void SetShoeSize(int nItem);
  int GetShoeSize();
  
protected:
  enum { IDD = IDD_SHOE };
  int		m_nShoeSize;

  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

  DECLARE_MESSAGE_MAP()
};


class CShoeComboBox : public CTreeOptionsCombo
{
protected:
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CShoeComboBox)
};


class COpaqueShoeButton2 : public COpaqueShoeButton
{
public:
//Methods
  virtual void BrowseForOpaque();

protected:
  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(COpaqueShoeButton2)
};
